import json
import numpy as np

def videoSeparation(jsonPath, fps, xLE, yLE, xRE, yRE):
    with open(jsonPath) as jsonFile:
        jsonObject = json.load(jsonFile)
        jsonFile.close()
        
    calibration = [(x + 1) * fps for x in jsonObject["calibration"]]
    dynamicPart = [(x + 1) * fps for x in jsonObject["dynamicPart"]]
    dynamicPartOneMove = [(x + 1) * fps for x in jsonObject["dynamicPartOneMove"]]
    dynamicPartOneMove = [int(num) for num in dynamicPartOneMove]
    staticPartCircle = [(x + 1) * fps for x in jsonObject["staticPartCircle"]]
    staticPartImage = [(x + 1) * fps for x in jsonObject["staticPartImage"]]
    staticPartText = [(x + 1) * fps for x in jsonObject["staticPartText"]]
    
    print(calibration)
    print(dynamicPart)
    print(dynamicPartOneMove)
    print(staticPartCircle)
    print(staticPartImage)
    print(staticPartText)
    
    return calibration, dynamicPart, dynamicPartOneMove, staticPartCircle, staticPartImage, staticPartText